Bug 30168 - kudzu segfaults with scsi detection
kudzu segfaults with scsi detection
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-01 09:21 EST by Harald Hoyer
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 12:13:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2001-03-01 09:21:16 EST
kudzu-0.97.3-1:

strace -f kudzu -t 30 shows this:
...
open("/proc/sys/dev/parport", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY)
= 3
fstat64(3, {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
getdents64(3, /* 3 entries */, 1024)    = 80
open("/proc/parport/default/autoprobe", O_RDONLY) = -1 ENOENT (No such file
or
directory)
getdents64(3, /* 0 entries */, 1024)    = 0
close(3)                                = 0
open("/etc/modules.conf", O_RDONLY)     = 3
stat64("/etc/modules.conf", {st_mode=S_IFREG|0644, st_size=176, ...}) = 0
read(3, "alias eth0 3c90x\nalias parport_l"..., 176) = 176
close(3)                                = 0
access("/proc/scsi/scsi", R_OK)         = 0
open("/proc/scsi/scsi", O_RDONLY)       = 3
read(3, "Attached devices: \nHost: scsi0 C"..., 16383) = 177
close(3)                                = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

gdb shows:
#0  0x080562c0 in scsiNewDevice () at eval.c:41
41      eval.c: No such file or directory.
        in eval.c
(gdb) bt
#0  0x080562c0 in scsiNewDevice () at eval.c:41
#1  0x0804f992 in compareDevice () at eval.c:41
#2  0x0804dd48 in strcpy () at ../sysdeps/generic/strcpy.c:31
#3  0x400b7091 in __libc_start_main (main=0x804d790 <strcpy+12352>, argc=3,
    ubp_av=0xbffffacc, init=0x8049ea8 <_init>, fini=0x805fabc <_fini>,
    rtld_fini=0x4000e374 <_dl_fini>, stack_end=0xbffffabc)
    at ../sysdeps/generic/libc-start.c:129

[root@faro /root]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: YAMAHA   Model: CRW8424E         Rev: 1.0g
  Type:   CD-ROM
 
[root@faro /root]# cat /etc/lilo.conf
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux-2.4
 
image=/boot/vmlinuz-2.4.2-0.1.16
        label=linux-2.4
        read-only
        root=/dev/hda5
        append="hdd=ide-scsi"

Please remark the append line...

Reproducible: Always
Steps to Reproduce:
1. kudzu -t 30
2.
3.
Comment 1 Bill Nottingham 2001-03-01 12:13:09 EST
fixed in 0.97.4-1. Must go ask Erik what he was smoking. ;)
Comment 2 Brock Organ 2001-03-02 12:28:35 EST
verified fix in qa0301.1 ...

Note You need to log in before you can comment on or make changes to this bug.